﻿using Android.OS;
using AuditManager.Droid.Helpers;
using AuditManager.Interfaces;
using System.IO;
using Xamarin.Forms;


[assembly: Dependency(typeof(FileHelper))]
namespace AuditManager.Droid.Helpers
{
    public class FileHelper : IFileHelper
    {
        public string GetLocalFilePath(string filename)
        {
            string path = Environment.DataDirectory.AbsolutePath;
            return Path.Combine(path, filename);
        }
    }
}