﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace AuditManager.Converters
{
    public class FocusEventArgsToCommandConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            FocusEventArgs eventArgs = value as FocusEventArgs;
            return ((Entry)eventArgs.VisualElement).Text;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
