﻿using AuditManager.Helpers;
using System;
using System.Globalization;
using Xamarin.Forms;

namespace AuditManager.Converters
{
    public class StringToColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value != null)
                return FunctionsHelper.GetColorFromResource(value.ToString());

            return Color.Transparent;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
