﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace AuditManager.Converters
{
    public class StringToSelectedIndex : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int retValue = 0;
            bool conversionOk = false;

            if (value != null)
                conversionOk = int.TryParse(value.ToString(), out retValue);

            return retValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
