﻿using AuditManager.Data;
using AuditManager.Views;
using Xamarin.Forms;
using Xamarin.Forms.Internals;

namespace AuditManager.Helpers
{
    [Preserve(AllMembers = true)]
    public class DomandeTemplateSelector : DataTemplateSelector
    {
        #region Properties
        public DataTemplate Domanda1Template { get; set; }
        public DataTemplate Domanda2Template { get; set; }
        public DataTemplate Domanda3Template { get; set; }
        public DataTemplate Domanda4Template { get; set; }
        public DataTemplate Domanda5Template { get; set; }
        public DataTemplate Domanda6Template { get; set; }
        public DataTemplate Domanda7Template { get; set; }
        public DataTemplate Domanda8Template { get; set; }
        public DataTemplate Domanda9Template { get; set; }
        public DataTemplate Domanda10Template { get; set; }
        public DataTemplate Domanda11Template { get; set; }
        #endregion

        public DomandeTemplateSelector()
        {
            Domanda1Template = new DataTemplate(typeof(Domanda1ViewCell));
            Domanda2Template = new DataTemplate(typeof(Domanda2ViewCell));
            Domanda3Template = new DataTemplate(typeof(Domanda3ViewCell));
            Domanda4Template = new DataTemplate(typeof(Domanda4ViewCell));
            Domanda5Template = new DataTemplate(typeof(Domanda5ViewCell));
            Domanda6Template = new DataTemplate(typeof(Domanda6ViewCell));
            Domanda7Template = new DataTemplate(typeof(Domanda7ViewCell));
            Domanda8Template = new DataTemplate(typeof(Domanda8ViewCell));
            Domanda9Template = new DataTemplate(typeof(Domanda9ViewCell));
            Domanda10Template = new DataTemplate(typeof(Domanda10ViewCell));
            Domanda11Template = new DataTemplate(typeof(Domanda11ViewCell));
        }

        protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
        {
            switch (((AuditDomandeRisposteXF)item).IdTipoDomanda)
            {
                case 1:
                    return Domanda1Template;
                case 2:
                    return Domanda2Template;
                case 3:
                    return Domanda3Template;
                case 4:
                    return Domanda4Template;
                case 5:
                    return Domanda5Template;
                case 6:
                    return Domanda6Template;
                case 7:
                    return Domanda7Template;
                case 8:
                    return Domanda8Template;
                case 9:
                    return Domanda9Template;
                case 10:
                    return Domanda10Template;
                case 11:
                    return Domanda11Template;
                default:
                    return Domanda1Template;
            }
        }
    }
}