﻿using AuditManager.Models;
using System;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace AuditManager.Views
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class ContextMenuView : ContentView
    {
        public ContextMenuView()
        {
            InitializeComponent();
        }

        private void AggiungiAllegato_Tapped(object sender, EventArgs e)
        {
            MessagingCenter.Send(this, ContextMenuMessages.AggiungiAllegato.ToString(), e);
            popup.Dismiss();
        }

        private void ListaAllegati_Tapped(object sender, EventArgs e)
        {
            MessagingCenter.Send(this, ContextMenuMessages.ListaAllegati.ToString(), e);
            popup.Dismiss();
        }

        private void AggiungiNC_Tapped(object sender, EventArgs e)
        {
            MessagingCenter.Send(this, ContextMenuMessages.AggiungiNC.ToString(), e);
            popup.Dismiss();
        }

        private void ListaNC_Tapped(object sender, EventArgs e)
        {
            MessagingCenter.Send(this, ContextMenuMessages.ListaNC.ToString(), e);
            popup.Dismiss();
        }

        private void AzzeraRisposta_Tapped(object sender, EventArgs e)
        {
            MessagingCenter.Send(this, ContextMenuMessages.AzzeraRisposta.ToString(), e);
            popup.Dismiss();
        }

        private void Help_Tapped(object sender, EventArgs e)
        {
            MessagingCenter.Send(this, ContextMenuMessages.Help.ToString(), e);
            popup.Dismiss();
        }

        private void CancellaDomanda_Tapped(object sender, EventArgs e)
        {
            MessagingCenter.Send(this, ContextMenuMessages.CancellaDomanda.ToString(), e);
            popup.Dismiss();
        }
    }
}