﻿using AuditManager.Data;
using Syncfusion.XForms.Buttons;
using System.ComponentModel;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace AuditManager.Views.Custom
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public class CustomSfSegmentItem : SfSegmentItem, INotifyPropertyChanged
    {
        public static readonly BindableProperty RispostaProperty = BindableProperty.Create(
            propertyName: nameof(Risposta),
            returnType: typeof(RispostaParametro),
            declaringType: typeof(CustomSfSegmentItem),
            defaultValue: null,
            defaultBindingMode: BindingMode.TwoWay,
            propertyChanged: RispostaPropertyChanged);

        public string Risposta { get { return GetValue(RispostaProperty).ToString(); } set { SetValue(RispostaProperty, value); } }

        private static void RispostaPropertyChanged(BindableObject bindable, object oldValue, object newValue)
        {
            
        }


        public CustomSfSegmentItem()
        {

        }
    }
}
