﻿namespace AuditManager.Models.Sync
{
    public class Sync
    {
        public bool ParametriGlobali { get; set; }
        public bool TipiDomande { get; set; }
        public bool Stati { get; set; }
        public bool StatiDomandeRisposteDettaglio { get; set; }
        public bool Criticita { get; set; }
        public bool Esiti { get; set; }
        public bool Motivazioni { get; set; }
        public bool MotivazioniChecklist { get; set; }
        public bool Indici { get; set; }
        public bool Auditor { get; set; }
        public bool Processi { get; set; }
        public bool TipiAudit { get; set; }
        public bool Checklist { get; set; }
        public bool Categorie { get; set; }
        public bool CheckCategorie { get; set; }
        public bool Domande { get; set; }
        public bool Soggetti { get; set; }
        public bool Servizi { get; set; }
        public bool Custom1 { get; set; }
        public bool Custom2 { get; set; }
        public bool Custom3 { get; set; }
        public bool Custom4 { get; set; }
        public bool SoggettiCustom1 { get; set; }
        public bool Utenti { get; set; }
        public bool UtentiInCarico { get; set; }
        public bool UtentiFunzioniApp { get; set; }
        public bool DomandeFiltri { get; set; }
        public bool DomandeMacroAttributo { get; set; }
        public bool DomandeAttributo { get; set; }
        public bool RisposteDettaglioMacroAttributo { get; set; }
        public bool RisposteDettaglioAttributo { get; set; }
        public bool NoteMacroAttributo { get; set; }
        public bool NoteAttributo { get; set; }
        public bool ConfAuditApp { get; set; }
        public bool ValoriRisposta { get; set; }

        public Sync()
        {
            ValoriRisposta = true;
        }

        public void UpdateSyncValues(bool newValue)
        {
            ParametriGlobali = newValue;
            TipiDomande = newValue;
            Stati = newValue;
            StatiDomandeRisposteDettaglio = newValue;
            Criticita = newValue;
            Esiti = newValue;
            Motivazioni = newValue;
            MotivazioniChecklist = newValue;
            Indici = newValue;
            Auditor = newValue;
            Processi = newValue;
            TipiAudit = newValue;
            Checklist = newValue;
            Categorie = newValue;
            CheckCategorie = newValue;
            Domande = newValue;
            Soggetti = newValue;
            Servizi = newValue;
            Custom1 = newValue;
            Custom2 = newValue;
            Custom3 = newValue;
            Custom4 = newValue;
            SoggettiCustom1 = newValue;
            Utenti = newValue;
            UtentiInCarico = newValue;
            UtentiFunzioniApp = newValue;
            DomandeFiltri = newValue;
            DomandeMacroAttributo = newValue;
            DomandeAttributo = newValue;
            RisposteDettaglioMacroAttributo = newValue;
            RisposteDettaglioAttributo = newValue;
            NoteMacroAttributo = newValue;
            NoteAttributo = newValue;
            ConfAuditApp = newValue;
        }
    }
}