﻿using AuditManager.Models.Tables;
using System.Collections.Generic;

namespace AuditManager.Models.Sync
{
    public class TabelleAccessorieJson
    {
        public Sync Sync { get; set; }
        public List<ParametriGlobali> ParametriGlobali { get; set; }
        public List<TipiDomande> TipiDomande { get; set; }
        public List<Stati> Stati { get; set; }
        public List<StatiDomandeRisposteDettaglio> StatiDomandeRisposteDettaglio { get; set; }
        public List<Criticita> Criticita { get; set; }
        public List<Esiti> Esiti { get; set; }
        public List<Motivazioni> Motivazioni { get; set; }
        public List<MotivazioniChecklist> MotivazioniChecklist { get; set; }
        public List<Indici> Indici { get; set; }
        public List<Auditor> Auditor { get; set; }
        public List<Processi> Processi { get; set; }
        public List<TipiAudit> TipiAudit { get; set; }
        public List<Checklist> Checklist { get; set; }
        public List<Categorie> Categorie { get; set; }
        public List<CheckCategorie> CheckCategorie { get; set; }
        public List<Domande> Domande { get; set; }
        public List<DomandeRelated> DomandeRelated { get; set; }
        public List<Soggetti> Soggetti { get; set; }
        public List<Servizi> Servizi { get; set; }
        public List<Custom1> Custom1 { get; set; }
        public List<Custom2> Custom2 { get; set; }
        public List<Custom3> Custom3 { get; set; }
        public List<Custom4> Custom4 { get; set; }
        public List<SoggettiCustom1> SoggettiCustom1 { get; set; }
        public List<Utenti> Utenti { get; set; }
        public List<UtentiInCarico> UtentiInCarico { get; set; }
        public List<UtentiFunzioniApp> UtentiFunzioniApp { get; set; }
        public List<DomandeFiltri> DomandeFiltri { get; set; }
        public List<DomandeMacroAttributo> DomandeMacroAttributo { get; set; }
        public List<DomandeAttributo> DomandeAttributo { get; set; }
        public List<RisposteDettaglioMacroAttributo> RisposteDettaglioMacroAttributo { get; set; }
        public List<RisposteDettaglioAttributo> RisposteDettaglioAttributo { get; set; }
        public List<NoteMacroAttributo> NoteMacroAttributo { get; set; }
        public List<NoteAttributo> NoteAttributo { get; set; }
        public List<ConfAuditApp> ConfAuditApp { get; set; }
        public List<ValoriRisposta> ValoriRisposta { get; set; }


        public TabelleAccessorieJson()
        {
            ParametriGlobali = new List<ParametriGlobali>();
            TipiDomande = new List<TipiDomande>();
            Stati = new List<Stati>();
            StatiDomandeRisposteDettaglio = new List<StatiDomandeRisposteDettaglio>();
            Criticita = new List<Criticita>();
            Esiti = new List<Esiti>();
            Motivazioni = new List<Motivazioni>();
            MotivazioniChecklist = new List<MotivazioniChecklist>();
            Indici = new List<Indici>();
            Auditor = new List<Auditor>();
            Processi = new List<Processi>();
            TipiAudit = new List<TipiAudit>();
            Checklist = new List<Checklist>();
            Categorie = new List<Categorie>();
            CheckCategorie = new List<CheckCategorie>();
            Domande = new List<Domande>();
            DomandeRelated = new List<DomandeRelated>();
            Soggetti = new List<Soggetti>();
            Servizi = new List<Servizi>();
            Custom1 = new List<Custom1>();
            Custom2 = new List<Custom2>();
            Custom3 = new List<Custom3>();
            Custom4 = new List<Custom4>();
            SoggettiCustom1 = new List<SoggettiCustom1>();
            Utenti = new List<Utenti>();
            UtentiInCarico = new List<UtentiInCarico>();
            UtentiFunzioniApp = new List<UtentiFunzioniApp>();
            DomandeFiltri = new List<DomandeFiltri>();
            DomandeMacroAttributo = new List<DomandeMacroAttributo>();
            DomandeAttributo = new List<DomandeAttributo>();
            RisposteDettaglioMacroAttributo = new List<RisposteDettaglioMacroAttributo>();
            RisposteDettaglioAttributo = new List<RisposteDettaglioAttributo>();
            NoteMacroAttributo = new List<NoteMacroAttributo>();
            NoteAttributo = new List<NoteAttributo>();
            ConfAuditApp = new List<ConfAuditApp>();
            ValoriRisposta = new List<ValoriRisposta>();
        }
    }
}