﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("Auditor"), TableReplication(Replicate = true)]
    public class Auditor
    {
        [NotNull]
        public int IdAuditor { get; set; }

        private string _NomeAuditor;
        [NotNull]
        public string NomeAuditor
        {
            get { return _NomeAuditor; }
            set { _NomeAuditor = WebUtility.HtmlDecode(value); }
        }

        private string _CognomeAuditor;
        [NotNull]
        public string CognomeAuditor
        {
            get { return _CognomeAuditor; }
            set { _CognomeAuditor = WebUtility.HtmlDecode(value); }
        }

        public string EmailAuditor { get; set; }
        public string CellulareAuditor { get; set; }
        public string TelefonoAuditor { get; set; }

        private string _DescTipoAuditor;
        public string DescTipoAuditor
        {
            get { return _DescTipoAuditor; }
            set { _DescTipoAuditor = WebUtility.HtmlDecode(value); }
        }

        public int IdTipoAudit { get; set; }

        public int IdSoggetto { get; set; }

        public Auditor()
        {

        }
    }
}