﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("DomandeAttributo"), TableReplication(Replicate = true)]
    public class DomandeAttributo
    {
        [Unique, NotNull]
        public int IdDomandeAttributo { get; set; }
        [NotNull]
        public int IdDomandeMacroAttributo { get; set; }

        private string _CodDomandeAttributo;
        public string CodDomandeAttributo
        {
            get { return _CodDomandeAttributo; }
            set { _CodDomandeAttributo = WebUtility.HtmlDecode(value); }
        }

        private string _DescDomandeAttributo;
        public string DescDomandeAttributo
        {
            get { return _DescDomandeAttributo; }
            set { _DescDomandeAttributo = WebUtility.HtmlDecode(value); }
        }

        public DomandeAttributo()
        {

        }
    }
}
