﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("DomandeMacroAttributo"), TableReplication(Replicate = true)]
    public class DomandeMacroAttributo
    {
        [NotNull]
        public int IdDomandeMacroAttributo { get; set; }
        [NotNull]
        public int IdTipoAudit { get; set; }

        private string _CodDomandeMacroAttributo;
        [NotNull]
        public string CodDomandeMacroAttributo
        {
            get { return _CodDomandeMacroAttributo; }
            set { _CodDomandeMacroAttributo = WebUtility.HtmlDecode(value); }
        }

        private string _DescDomandeMacroAttributo;
        public string DescDomandeMacroAttributo
        {
            get { return _DescDomandeMacroAttributo; }
            set { _DescDomandeMacroAttributo = WebUtility.HtmlDecode(value); }
        }

        public int? Ordine { get; set; }

        public DomandeMacroAttributo()
        {

        }
    }
}
