﻿using AuditManager.Shared.Attributes;
using SQLite;

namespace AuditManager.Models.Tables
{
    [Table("DomandeRelated"), TableReplication(Replicate = true)]
    public class DomandeRelated : BaseTable
    {
        [NotNull, Unique]
        public int IdDomandaRelated { get; set; }
        [NotNull]
        public int IdDomandaFirst { get; set; }
        [NotNull]
        public int IdDomandaSecond { get; set; }
        [NotNull]
        public bool Risposte { get; set; }
        [NotNull]
        public bool Allegati { get; set; }
        [NotNull]
        public bool NC { get; set; }
        [NotNull]
        public bool Note { get; set; }
        [NotNull]
        public bool AllegatiNC { get; set; }
        [NotNull]
        public bool GestioneNC { get; set; }

        public DomandeRelated()
        {

        }
    }
}
