﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("Esiti"), TableReplication(Replicate = true)]
    public class Esiti
    {
        [NotNull]
        public int IdEsito { get; set; }

        private string _CodEsito;
        [NotNull]
        public string CodEsito
        {
            get { return _CodEsito; }
            set { _CodEsito = WebUtility.HtmlDecode(value); }
        }

        private string _DesEsito;
        [NotNull]
        public string DesEsito
        {
            get { return _DesEsito; }
            set { _DesEsito = WebUtility.HtmlDecode(value); }
        }

        public int IdTipoAudit { get; set; }

        public Esiti()
        {

        }
    }
}
