﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("RisposteDettaglioAttributo"), TableReplication(Replicate = true)]
    public class RisposteDettaglioAttributo
    {
        [Unique, NotNull]
        public int IdRisposteDettaglioAttributo { get; set; }

        private string _CodRisposteDettaglioAttributo;
        [NotNull]
        public string CodRisposteDettaglioAttributo
        {
            get { return _CodRisposteDettaglioAttributo; }
            set { _CodRisposteDettaglioAttributo = WebUtility.HtmlDecode(value); }
        }

        private string _DescRisposteDettaglioAttributo;
        [NotNull]
        public string DescRisposteDettaglioAttributo
        {
            get { return _DescRisposteDettaglioAttributo; }
            set { _DescRisposteDettaglioAttributo = WebUtility.HtmlDecode(value); }
        }

        [NotNull]
        public int IdRisposteDettaglioMacroAttributo { get; set; }
        public decimal? PesoAttributoDomande { get; set; }
        public string MotiviDisponibili { get; set; }

        public RisposteDettaglioAttributo()
        {

        }
    }
}
