﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("RisposteDettaglioMacroAttributo"), TableReplication(Replicate = true)]
    public class RisposteDettaglioMacroAttributo
    {
        [NotNull]
        public int IdRisposteDettaglioMacroAttributo { get; set; }
        [NotNull]
        public int IdTipoAudit { get; set; }

        private string _CodRisposteDettaglioMacroAttributo;
        [NotNull]
        public string CodRisposteDettaglioMacroAttributo
        {
            get { return _CodRisposteDettaglioMacroAttributo; }
            set { _CodRisposteDettaglioMacroAttributo = WebUtility.HtmlDecode(value); }
        }

        private string _DescRisposteDettaglioMacroAttributo;
        public string DescRisposteDettaglioMacroAttributo
        {
            get { return _DescRisposteDettaglioMacroAttributo; }
            set { _DescRisposteDettaglioMacroAttributo = WebUtility.HtmlDecode(value); }
        }

        public int? Ordine { get; set; }

        public bool AttributoFiltro { get; set; }
        public bool CondizioneFiltro { get; set; }

        public RisposteDettaglioMacroAttributo()
        {

        }
    }
}
