﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("Servizi"), TableReplication(Replicate = true)]
    public class Servizi : BaseTable
    {
        [NotNull]
        public int IdServizio { get; set; }

        private string _CodServizio;
        public string CodServizio
        {
            get { return _CodServizio; }
            set { _CodServizio = WebUtility.HtmlDecode(value); }
        }

        private string _DesServizio;
        [NotNull]
        public string DesServizio
        {
            get { return _DesServizio; }
            set { _DesServizio = WebUtility.HtmlDecode(value); }
        }

        private string _FreeServizio1;
        public string FreeServizio1
        {
            get { return _FreeServizio1; }
            set { _FreeServizio1 = WebUtility.HtmlDecode(value); }
        }

        private string _FreeServizio2;
        public string FreeServizio2
        {
            get { return _FreeServizio2; }
            set { _FreeServizio2 = WebUtility.HtmlDecode(value); }
        }

        public int IdTipoAudit { get; set; }

        public Servizi()
        {

        }
    }
}