﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("TipiDomande"), TableReplication(Replicate = true)]
    public class TipiDomande : BaseTable
    {
        [Unique, NotNull]
        public int IdTipoDomanda { get; set; }

        private string _DescTipoDomanda;
        public string DescTipoDomanda
        {
            get { return _DescTipoDomanda; }
            set { _DescTipoDomanda = WebUtility.HtmlDecode(value); }
        }

        public TipiDomande()
        {

        }
    }
}
