﻿using AuditManager.Shared.Attributes;
using SQLite;

namespace AuditManager.Models.Tables
{
    [Table("AuditDomandeRelated"), TableReplication(Replicate = true)]
    public class AuditDomandeRelated : BaseTable
    {
        [NotNull]
        public int IdDomandaRelated { get; set; }
        [NotNull]
        public int IdAudit { get; set; }
        [NotNull]
        public int IdRispostaFirst { get; set; }
        [NotNull]
        public int IdRispostaSecond { get; set; }
        [NotNull]
        public bool Risposte { get; set; }
        [NotNull]
        public bool Allegati { get; set; }
        [NotNull]
        public bool NC { get; set; }
        [NotNull]
        public bool Note { get; set; }
        [NotNull]
        public bool AllegatiNC { get; set; }
        [NotNull]
        public bool GestioneNC { get; set; }

        public AuditDomandeRelated() : base()
        {

        }
    }
}
