﻿using AuditManager.Shared.Attributes;
using SQLite;

namespace AuditManager.Models.Tables
{
    [Table("AuditRisposteFirme"), TableReplication(Replicate = true)]
    public class AuditRisposteFirme : AuditBaseTable
    {
        [NotNull]
        public int IdRisposta { get; set; }
        public string PathFirma { get; set; }
        public string PlaceholderFirma { get; set; }
        public int IdUtenteFirma { get; set; }
        public bool IsValid { get; set; }

        public AuditRisposteFirme() : base()
        {

        }
    }
}
