﻿using AuditManager.Shared.Attributes;
using AuditManager.Shared.Constants;
using SQLite;

namespace AuditManager.Models.Tables
{
    [Table("AuditUtenti"), TableReplication(Replicate = true)]
    public class AuditUtenti : Utenti
    {
        [NotNull]
        public int IdAudit { get; set; }

        public AuditUtenti()
        {
            Firma = Constants.ImmaginePlaceHolderUtenti;
        }
    }
}
