﻿using Newtonsoft.Json;
using SQLite;
using System;

namespace AuditManager.Models.Tables
{
    [Serializable]
    public class AuditBaseTable : BaseTable
    {
        [NotNull]
        public int IdAudit { get; set; }
        [NotNull]
        public bool Sincronizzato { get; set; }
        public DateTime? DataSincronizzato { get; set; }
        [NotNull]
        public DateTime DataCreazione { get; set; }
        [NotNull]
        public bool Attivo { get; set; }
        public DateTime? DataCancellazione { get; set; }

        public AuditBaseTable() : base()
        {
            Sincronizzato = false;
            Attivo = true;
            DataCreazione = DateTime.Now;
        }
    }
}
