﻿using AuditManager.Shared.Attributes;
using SQLite;

namespace AuditManager.Models.Tables
{
    [Table("ConfAuditApp"), TableReplication(Replicate = true)]
    public class ConfAuditApp : BaseTable
    {
        public string TabellaOrigine { get; set; }
        public string CampoOrigine { get; set; }
        public string CampoWhere { get; set; }
        public string TipoCampo { get; set; }
        public int Ordine { get; set; }
        public string Etichetta { get; set; }
        public bool Gerarchia { get; set; }
        public bool Multipla { get; set; }
        public string TabellaDestinazione { get; set; }
        public string CampoDestinazione { get; set; }
        public bool Obbligatorio { get; set; }
        public string ValoreColonna { get; set; }
        public string IdColonna { get; set; }


        public ConfAuditApp()
        {

        }
    }
}
