﻿using System;

namespace AuditManager.Shared.Constants
{
    public class Constants
    {
        public static string RootUrl = "http://109.168.92.76:50300";
        public static string BaseUrl = "http://109.168.92.76:50300/{0}/{1}";
        public static string ImagesPlaceholderUrl = $"{RootUrl}/Images/Placeholder/";

        public static string DomainName = "FOCUS";
        public static string DomainUserName = "AdmTest";
        public static string DomainUserPassword = "AdmT3stPa$$w0rd";

        public static string AccountUrl = "Account";
        public static string LoginMethod = "LoginApp";
        public static string LogoutMethod = "LogoutApp";

        public static string SyncUrl = "Sync";
        public static string SyncTabelleAccessorieMethod = "SyncTabelleAccessorie";
        public static string PostSyncTabelleAccessoorieMethod = "PostSyncTabelleAccessorie";
        public static string SyncCatenaAuditMethod = "SyncCatenaAudit";

        public static string DatabaseName = "AuditManager.db";
        public static string DatabaseAssembly = "AuditManager.Models";
        public static string DatabaseNameSpace = $"{DatabaseAssembly}.Tables";

        public static TimeSpan VibrateTime = new TimeSpan(0, 0, 1);

        public static string Secret = "mtybDRKnMnjnjaUNspKStPcmzWsnxmnaDkGKOtvY";
        public static string PasswordCipher = "AuditManager";

        public static string LoginError = "LOGIN_ERROR";
        public static string LoginFailed = "LOGIN_FAILED";

        public static string ImmaginePlaceHolderUtenti = $"{ImagesPlaceholderUrl}placeholder_utenti.png";
        public static string ImmaginePlaceHolderCategorie = $"{ImagesPlaceholderUrl}placeholder_categorie.png";
        public static string ImmaginePlaceHolderAudit = $"{ImagesPlaceholderUrl}placeholder_audit.png";
        public static string ImmaginePlaceHolderSoggetti = $"{ImagesPlaceholderUrl}placeholder_soggetti.png";
        public static string ImmaginePlaceHolderChecklist = $"{ImagesPlaceholderUrl}placeholder_checklist.png";

        public static string ConstPortaAngolometro = "PortaAngolometro";
        public static string ConstDtUltimoAggiornamento = "DtUltimoAggiornamento";
        public static string ConstAutenticazioneDominio = "AutenticazioneDominio";
        public static string ConstAutenticazioneOffice365 = "AutenticazioneOffice365";
        public static string ConstTerzoGrafico = "TerzoGrafico";
        public static string ConstQuartoGrafico = "QuartoGrafico";

        public static string ConstProdotto = "PRODOTTO";
        public static string ConstDivisione = "DIVISIONE";

        public static string LabelAuditNumero = $"Audit{Environment.NewLine}N°";

        public static string GraphApiKey = "dae68b09-68ee-4fba-92e8-a0ad4da40d2f";

        public static string ImmagineButtonChecked = "indicatore_black_small.png";
        public static string ImmagineButtonUnChecked = "indicatore_white_small.png";

        public static string ColoreRispostaOK = "ColoreRispostaOK";
        public static string ColoreRispostaKO = "ColoreRispostaKO";
        public static string ColoreRispostaNA = "ColoreRispostaNA";
        public static string ColoreRispostaNT = "ColoreRispostaNT";
        public static string ColoreBianco = "WhiteColor";
    }
}
