﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace AuditManager.Converters
{
    public class ConverterInvertBoolean : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is bool)
                return !((bool)value);

            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is bool)
                return !((bool)value);

            return false;
        }
    }
}
