﻿using System;
using System.Globalization;
using Xamarin.Forms;

namespace AuditManager.Converters
{
    public class ImageSizeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
                return value;

            float size = (float)value;

            return double.IsNaN(size) ? 0 : /*(Device.RuntimePlatform == Device.Android) ? size / 1.75 + 4 :*/ size * 2 - 10;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
