﻿using System;
using System.Linq;
using System.Reflection;

namespace AuditManager.Extensions
{
    public static class TypeExtension
    {
        public static CustomAttributeData GetAttribute(this Type value, string attribute)
        {
            return value.GetTypeInfo().CustomAttributes?.FirstOrDefault(w => w.AttributeType.Name == attribute);
        }
    }
}