﻿using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace AuditManager.Helpers
{
    public class GroupingHelper<K, T> : ObservableCollection<T>
    {
        public K Key { get; private set; }

        public GroupingHelper(K key, IEnumerable<T> items)
        {
            Key = key;
            foreach (var item in items)
                Items.Add(item);
        }
    }
}
