﻿namespace AuditManager.Models
{
    public class MessageModel
    {
        public string Title { get; set; }
        public string Description { get; set; }
        public string OkButton { get; set; }
    }

    public class AlertModel : MessageModel
    {
        
    }

    public class ConfirmModel : MessageModel
    {
        public string KoButton { get; set; }
    }

    public enum Messages
    {
        ConnectionMessage,
        DisplayAlertMessage,
        DisplayConfirmMessage,
        SearchErrorMessage,
        SearchMissingFieldMessage,
        ClosedFilterMessage,
        OperationStarted,
        OperationFinished,
        Menu,
        HomePage
    }

    public enum PopUpMessages
    {
        PopUpOffline,
        PopUpSync,
        PopUpCompleta,
        PopUpListaLavori,
        PopUpConvalida,
        PopUpStampa,
        PopUpNotificaLista,
        PopUpDettaglio,
        PopUpRispostaMultipla,
        PopUpAllegatoPrincipale
    }

    public enum ContextMenuMessages
    {
        CancellaDomanda,
        AggiungiAllegato,
        ListaAllegati,
        AggiungiNC,
        ListaNC,
        AzzeraRisposta,
        Help
    }
}
