﻿using AuditManager.Models.Tables;
using System.Collections.Generic;

namespace AuditManager.Models.Sync
{
    public class TabellaJson
    {
        public List<Audit> Audit { get; set; }
        public List<AuditTipiAudit> AuditTipiAudit { get; set; }
        public List<AuditUtenti> AuditUtenti { get; set; }
        public List<AuditMotivi> AuditMotivi { get; set; }
        public List<AuditChecklist> AuditChecklist { get; set; }
        public List<AuditCategorie> AuditCategorie { get; set; }
        public List<AuditCheckCategorie> AuditCheckCategorie { get; set; }
        public List<AuditAllegati> AuditAllegati { get; set; }
        public List<AuditPersone> AuditPersone { get; set; }
        public List<AuditServizi> AuditServizi { get; set; }
        public List<AuditSoggetti> AuditSoggetti { get; set; }
        public List<AuditDomandeRisposte> AuditDomandeRisposte { get; set; }
        public List<AuditRisposteDettaglio> AuditRisposteDettaglio { get; set; }
        public List<AuditAllegatiRisposta> AuditAllegatiRisposta { get; set; }
        public List<AuditFirme> AuditFirme { get; set; }
        public List<AuditAuditor> AuditAuditor { get; set; }
        public List<AuditDomandeRelated> AuditDomandeRelated { get; set; }
        public List<AuditEvidenze> AuditEvidenze { get; set; }
        public List<AuditGrigliaAllegati> AuditGrigliaAllegati { get; set; }
        public List<AuditRisposteFirme> AuditRisposteFirme { get; set; }
        public List<AuditDocumentiEsaminati> AuditDocumentiEsaminati { get; set; }


        public TabellaJson()
        {
            Audit = new List<Audit>();
            AuditTipiAudit = new List<AuditTipiAudit>();
            AuditUtenti = new List<AuditUtenti>();
            AuditMotivi = new List<AuditMotivi>();
            AuditChecklist = new List<AuditChecklist>();
            AuditCategorie = new List<AuditCategorie>();
            AuditCheckCategorie = new List<AuditCheckCategorie>();
            AuditAllegati = new List<AuditAllegati>();
            AuditPersone = new List<AuditPersone>();
            AuditServizi = new List<AuditServizi>();
            AuditSoggetti = new List<AuditSoggetti>();
            AuditDomandeRisposte = new List<AuditDomandeRisposte>();
            AuditRisposteDettaglio = new List<AuditRisposteDettaglio>();
            AuditAllegatiRisposta = new List<AuditAllegatiRisposta>();
            AuditFirme = new List<AuditFirme>();
            AuditAuditor = new List<AuditAuditor>();
            AuditDomandeRelated = new List<AuditDomandeRelated>();
            AuditEvidenze = new List<AuditEvidenze>();
            AuditGrigliaAllegati = new List<AuditGrigliaAllegati>();
            AuditRisposteFirme = new List<AuditRisposteFirme>();
            AuditDocumentiEsaminati = new List<AuditDocumentiEsaminati>();
        }
    }
}