﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("Checklist"), TableReplication(Replicate = true)]
    public class Checklist : BaseTable
    {
        [NotNull]
        public int IdCheckList { get; set; }

        private string _CodCheckList;
        public string CodCheckList
        {
            get { return _CodCheckList; }
            set { _CodCheckList = WebUtility.HtmlDecode(value); }
        }

        private string _DescChecklist;
        public string DescChecklist
        {
            get { return _DescChecklist; }
            set { _DescChecklist = WebUtility.HtmlDecode(value); }
        }

        private string _DescChecklist2;
        public string DescChecklist2
        {
            get { return _DescChecklist2; }
            set { _DescChecklist2 = WebUtility.HtmlDecode(value); }
        }


        public string Immagine { get; set; }

        public int IdTipoAudit { get; set; }

        public Checklist()
        {

        }
    }
}