﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("Criticita"), TableReplication(Replicate = true)]
    public class Criticita : BaseTable
    {
        [NotNull]
        public int IdCriticita { get; set; }

        private string _DesCriticita;
        public string DesCriticita
        {
            get { return _DesCriticita; }
            set { _DesCriticita = WebUtility.HtmlDecode(value); }
        }

        public Criticita()
        {

        }
    }
}