﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("Indici"), TableReplication(Replicate = true)]
    public class Indici
    {
        [NotNull]
        public int IdIndice { get; set; }

        [NotNull]
        public int IdRisposteDettaglioAttributo { get; set; }

        private string _CodIndice;
        [NotNull]
        public string CodIndice
        {
            get { return _CodIndice; }
            set { _CodIndice = WebUtility.HtmlDecode(value); }
        }

        private string _DescIndice;
        [NotNull]
        public string DescIndice
        {
            get { return _DescIndice; }
            set { _DescIndice = WebUtility.HtmlDecode(value); }
        }

        public string ColoreIndice { get; set; }

        public Indici()
        {

        }
    }
}
