﻿using AuditManager.Shared.Attributes;
using SQLite;
using System;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("Log"), TableReplication(Replicate = true)]
    public class Log : BaseTable
    {
        private string _Operazione;
        public string Operazione
        {
            get { return _Operazione; }
            set { _Operazione = WebUtility.HtmlDecode(value); }
        }

        public DateTime DataOperazione { get; set; }
        public string UtenteOperazione { get; set; }
        public string DeviceOperazione { get; set; }
        public bool EsitoOperazione { get; set; }
        public string ExceptionMessage { get; set; }

        public Log()
        {

        }
    }
}
