﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("NoteAttributo"), TableReplication(Replicate = true)]
    public class NoteAttributo
    {
        [Unique, NotNull]
        public int IdNoteAttributo { get; set; }

        private string _CodNoteAttributo;
        public string CodNoteAttributo
        {
            get { return _CodNoteAttributo; }
            set { _CodNoteAttributo = WebUtility.HtmlDecode(value); }
        }

        private string _DescNoteAttributo;
        public string DescNoteAttributo
        {
            get { return _DescNoteAttributo; }
            set { _DescNoteAttributo = WebUtility.HtmlDecode(value); }
        }

        public int IdNoteMacroAttributo { get; set; }

        public NoteAttributo()
        {

        }
    }
}