﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("NoteMacroAttributo"), TableReplication(Replicate = true)]
    public class NoteMacroAttributo
    {
        [NotNull]
        public int IdNoteMacroAttributo { get; set; }
        [NotNull]
        public int IdTipoAudit { get; set; }

        private string _CodNoteMacroAttributo;
        [NotNull]
        public string CodNoteMacroAttributo
        {
            get { return _CodNoteMacroAttributo; }
            set { _CodNoteMacroAttributo = WebUtility.HtmlDecode(value); }
        }

        private string _DescNoteMacroAttributo;
        [NotNull]
        public string DescNoteMacroAttributo
        {
            get { return _DescNoteMacroAttributo; }
            set { _DescNoteMacroAttributo = WebUtility.HtmlDecode(value); }
        }

        public int? Ordine { get; set; }

        public NoteMacroAttributo()
        {

        }
    }
}
