﻿using AuditManager.Shared.Attributes;
using SQLite;
using System;

namespace AuditManager.Models.Tables
{
    [Table("ParametriGlobali"), TableReplication(Replicate = true)]
    public class ParametriGlobali : BaseTable
    {
        [NotNull]
        public int IdParametro { get; set; }
        [Unique, NotNull]
        public string DescParametro { get; set; }
        public string ValoreParametroString { get; set; }
        public int? ValoreParametroInt { get; set; }
        public double? ValoreParametroFloat { get; set; }
        public bool? ValoreParametroBool { get; set; }
        public DateTime? ValoreParametroDate { get; set; }

        public ParametriGlobali()
        {

        }
    }
}