﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("StatiDomandeRisposteDettaglio"), TableReplication(Replicate = true)]
    public class StatiDomandeRisposteDettaglio
    {
        [NotNull]
        public int IdStatoNC { get; set; }

        private string _DescStatoNC;
        [NotNull]
        public string DescStatoNC
        {
            get { return _DescStatoNC; }
            set { _DescStatoNC = WebUtility.HtmlDecode(value); }
        }

        private string _DescStatoEng;
        public string DescStatoEng
        {
            get { return _DescStatoEng; }
            set { _DescStatoEng = WebUtility.HtmlDecode(value); }
        }

        [NotNull]
        public string ColoreStatoNC { get; set; }

        public StatiDomandeRisposteDettaglio()
        {

        }
    }
}