﻿using AuditManager.Shared.Attributes;
using SQLite;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("TipiAudit"), TableReplication(Replicate = true)]
    public class TipiAudit : BaseTable
    {
        [NotNull]
        public int IdTipoAudit { get; set; }

        private string _CodTipoAudit;
        [NotNull]
        public string CodTipoAudit
        {
            get { return _CodTipoAudit; }
            set { _CodTipoAudit = WebUtility.HtmlDecode(value); }
        }

        private string _DesTipoAudit;
        [NotNull]
        public string DesTipoAudit
        {
            get { return _DesTipoAudit; }
            set { _DesTipoAudit = WebUtility.HtmlDecode(value); }
        }

        public string Colore { get; set; }
        public string Icona { get; set; }
        public int? IdTipoSoggetto { get; set; }
        public string LabelCustom1 { get; set; }
        public string LabelCustom2 { get; set; }
        public string LabelCustom3 { get; set; }
        public string LabelCustom4 { get; set; }
        public string LabelCustom5 { get; set; }
        public string LabelCustom6 { get; set; }
        public string LabelCustom7 { get; set; }

        [NotNull]
        public bool FlagCustom1 { get; set; }
        [NotNull]
        public bool FlagCustom2 { get; set; }
        [NotNull]
        public bool FlagCustom3 { get; set; }
        [NotNull]
        public bool FlagCustom4 { get; set; }
        [NotNull]
        public bool FlagCustom5 { get; set; }
        [NotNull]
        public bool FlagCustom6 { get; set; }
        [NotNull]
        public bool FlagCustom7 { get; set; }
        [NotNull]
        public int NrAttributiObb { get; set; }
        [NotNull]
        public int NrCampiTestoNc { get; set; }
        [NotNull]
        public string PlaceholderTestoNc { get; set; }
        [NotNull]
        public bool FlagFirma { get; set; }

        public string SpUsername { get; set; }
        public string SpPassword { get; set; }
        public string LinkListaSend { get; set; }
        public string LinkPDF { get; set; }

        public TipiAudit()
        {

        }
    }
}