﻿using AuditManager.Shared.Attributes;
using SQLite;

namespace AuditManager.Models.Tables
{
    [Table("ValoriRisposta"), TableReplication(Replicate = true)]
    public class ValoriRisposta
    {
        [NotNull]
        public int IdValoreRisposta { get; set; }

        [NotNull]
        public int CodValoreRisposta { get; set; }

        [NotNull]
        public string DescValoreRisposta { get; set; }

        [NotNull]
        public string ColoreValoreRisposta { get; set; }

        [NotNull]
        public bool Attivo { get; set; }

        [NotNull]
        public int IdCliente { get; set; }

        public ValoriRisposta()
        {

        }
    }
}
