﻿using AuditManager.Shared.Attributes;
using AuditManager.Shared.Constants;
using Newtonsoft.Json;
using SQLite;
using System;
using System.Net;
using System.Reflection;

namespace AuditManager.Models.Tables
{
    [Serializable]
    [Table("Audit"), TableReplication(Replicate = true)]
    public class Audit : AuditBaseTable
    {
        public string CodAudit { get; set; }

        private string _DescAudit;
        public string DescAudit
        {
            get { return _DescAudit; }
            set { _DescAudit = WebUtility.HtmlDecode(value); }
        }

        private string _DescAudit2;
        public string DescAudit2
        {
            get { return _DescAudit2; }
            set { _DescAudit2 = WebUtility.HtmlDecode(value); }
        }

        public string ColoreTipoAudit { get; set; }
        public DateTime DataInizioAudit { get; set; }
        public DateTime DataFineAudit { get; set; }
        public string OraInizio { get; set; }
        public string OraFine { get; set; }
        public int IdStato { get; set; }
        public int IdSoggetto { get; set; }

        private string _DesSoggetto;
        public string DesSoggetto
        {
            get { return _DesSoggetto; }
            set { _DesSoggetto = WebUtility.HtmlDecode(value); }
        }

        public string Immagine { get; set; }

        private string _Etichetta1;
        public string Etichetta1
        {
            get { return _Etichetta1; }
            set { _Etichetta1 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta1;
        public string ValEtichetta1
        {
            get { return _ValEtichetta1; }
            set { _ValEtichetta1 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta2;
        public string Etichetta2
        {
            get { return _Etichetta2; }
            set { _Etichetta2 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta2;
        public string ValEtichetta2
        {
            get { return _ValEtichetta2; }
            set { _ValEtichetta2 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta3;
        public string Etichetta3
        {
            get { return _Etichetta3; }
            set { _Etichetta3 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta3;
        public string ValEtichetta3
        {
            get { return _ValEtichetta3; }
            set { _ValEtichetta3 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta4;
        public string Etichetta4
        {
            get { return _Etichetta4; }
            set { _Etichetta4 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta4;
        public string ValEtichetta4
        {
            get { return _ValEtichetta4; }
            set { _ValEtichetta4 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta5;
        public string Etichetta5
        {
            get { return _Etichetta5; }
            set { _Etichetta5 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta5;
        public string ValEtichetta5
        {
            get { return _ValEtichetta5; }
            set { _ValEtichetta5 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta6;
        public string Etichetta6
        {
            get { return _Etichetta6; }
            set { _Etichetta6 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta6;
        public string ValEtichetta6
        {
            get { return _ValEtichetta6; }
            set { _ValEtichetta6 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta7;
        public string Etichetta7
        {
            get { return _Etichetta7; }
            set { _Etichetta7 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta7;
        public string ValEtichetta7
        {
            get { return _ValEtichetta7; }
            set { _ValEtichetta7 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta8;
        public string Etichetta8
        {
            get { return _Etichetta8; }
            set { _Etichetta8 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta8;
        public string ValEtichetta8
        {
            get { return _ValEtichetta8; }
            set { _ValEtichetta8 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta9;
        public string Etichetta9
        {
            get { return _Etichetta9; }
            set { _Etichetta9 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta9;
        public string ValEtichetta9
        {
            get { return _ValEtichetta9; }
            set { _ValEtichetta9 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta10;
        public string Etichetta10
        {
            get { return _Etichetta10; }
            set { _Etichetta10 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta10;
        public string ValEtichetta10
        {
            get { return _ValEtichetta10; }
            set { _ValEtichetta10 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta11;
        public string Etichetta11
        {
            get { return _Etichetta11; }
            set { _Etichetta11 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta11;
        public string ValEtichetta11
        {
            get { return _ValEtichetta11; }
            set { _ValEtichetta11 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta12;
        public string Etichetta12
        {
            get { return _Etichetta12; }
            set { _Etichetta12 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta12;
        public string ValEtichetta12
        {
            get { return _ValEtichetta12; }
            set { _ValEtichetta12 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta13;
        public string Etichetta13
        {
            get { return _Etichetta13; }
            set { _Etichetta13 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta13;
        public string ValEtichetta13
        {
            get { return _ValEtichetta13; }
            set { _ValEtichetta13 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta14;
        public string Etichetta14
        {
            get { return _Etichetta14; }
            set { _Etichetta14 = WebUtility.HtmlDecode(value); }
        }

        private string _ValEtichetta14;
        public string ValEtichetta14
        {
            get { return _ValEtichetta14; }
            set { _ValEtichetta14 = WebUtility.HtmlDecode(value); }
        }

        private string _Etichetta15;
        public string Etichetta15
        {
            get { return _Etichetta15; }
            set { _Etichetta15 = WebUtility.HtmlDecode(value); }
        }

        public int? ValEtichetta15 { get; set; }

        private string _Etichetta16;
        public string Etichetta16
        {
            get { return _Etichetta16; }
            set { _Etichetta16 = WebUtility.HtmlDecode(value); }
        }

        public bool? ValEtichetta16 { get; set; }

        private string _Etichetta17;
        public string Etichetta17
        {
            get { return _Etichetta17; }
            set { _Etichetta17 = WebUtility.HtmlDecode(value); }
        }

        public DateTime? ValEtichetta17 { get; set; }
        public string MailAudit { get; set; }
        public DateTime? DataProgress { get; set; }
        public double? SogliaSx { get; set; }
        public double? SogliaDx { get; set; }
        public double? SogliaPrua { get; set; }
        public double? SogliaPoppa { get; set; }
        public string MacroNote1 { get; set; }
        public string AttributoNote1 { get; set; }
        public string MacroNote2 { get; set; }
        public string AttributoNote2 { get; set; }
        public string MacroNote3 { get; set; }
        public string AttributoNote3 { get; set; }
        public string MacroNote4 { get; set; }
        public string AttributoNote4 { get; set; }
        public string MacroNote5 { get; set; }
        public string AttributoNote5 { get; set; }
        public string MacroNote6 { get; set; }
        public string AttributoNote6 { get; set; }
        public string MacroNote7 { get; set; }
        public string AttributoNote7 { get; set; }
        public string MacroNote8 { get; set; }
        public string AttributoNote8 { get; set; }
        public string MacroNote9 { get; set; }
        public string AttributoNote9 { get; set; }
        public string MacroNote10 { get; set; }
        public string AttributoNote10 { get; set; }
        public string MacroNote11 { get; set; }
        public string AttributoNote11 { get; set; }
        public string MacroNote12 { get; set; }
        public string AttributoNote12 { get; set; }
        public bool CreatoInApp { get; set; }
        public DateTime? DataCreatoInApp { get; set; }
        public string IdAuditApp { get; set; }
        public int NrFirme { get; set; }
        public string PlaceholderFirme { get; set; }

        private string _Blocco1;
        public string BloccoApp1
        {
            get { return _Blocco1; }
            set { _Blocco1 = WebUtility.HtmlDecode(value); }
        }
        private string _Blocco2;
        public string BloccoApp2
        {
            get { return _Blocco2; }
            set { _Blocco2 = WebUtility.HtmlDecode(value); }
        }
        private string _Blocco3;
        public string BloccoApp3
        {
            get { return _Blocco3; }
            set { _Blocco3 = WebUtility.HtmlDecode(value); }
        }

        [JsonIgnore, Ignore]
        public string BloccoApp4 { get; set; }

        private string _FiltroSoggetto;
        public string FiltroSoggetto
        {
            get { return _FiltroSoggetto; }
            set { _FiltroSoggetto = WebUtility.HtmlDecode(value); }
        }

        public string IconaTipoAudit { get; set; }

        private bool _ImmagineScaricata;
        [JsonIgnore, Ignore]
        public bool ImmagineScaricata
        {
            get { return _ImmagineScaricata; }
            set
            {
                _ImmagineScaricata = value;
                OnPropertyChanged(nameof(ImmagineScaricata));
            }
        }

        public Audit() : base()
        {
            CreatoInApp = false;
            IdAuditApp = IdAudit.ToString();

            if (!string.IsNullOrEmpty(Immagine))
                ImmagineScaricata = (Immagine.IndexOf(Constants.RootUrl) < 0);
            else
                ImmagineScaricata = false;
        }

        public Audit(Audit audit) : base()
        {
            foreach (PropertyInfo propertyInfo in GetType().GetProperties())
            {
                object secondValue = propertyInfo.GetValue(audit, null);
                propertyInfo.SetValue(this, secondValue);
            }
        }
    }
}