﻿using SQLite;
using System;

namespace AuditManager.Models.Tables
{
    public class AuditDatiRollPitch : AuditBaseTable
    {
        [NotNull]
        public int IdRisposta { get; set; }
        public Guid? IdRispostaDettaglio { get; set; }

        private float _ValorePitch;
        public float ValorePitch
        {
            get { return _ValorePitch; }
            set { _ValorePitch = value; OnPropertyChanged(nameof(ValorePitch)); }
        }

        private float _ValoreRoll;
        public float ValoreRoll
        {
            get { return _ValoreRoll; }
            set { _ValoreRoll = value; OnPropertyChanged(nameof(ValoreRoll)); }
        }

        private double _TaraRoll;
        public double TaraRoll
        {
            get { return _TaraRoll; }
            set { _TaraRoll = value; OnPropertyChanged(nameof(TaraRoll)); }
        }

        private double _TaraPitch;
        public double TaraPitch
        {
            get { return _TaraPitch; }
            set { _TaraPitch = value; OnPropertyChanged(nameof(TaraPitch)); }
        }
        
        private double _Secondi;
        public double Secondi
        {
            get { return _Secondi; }
            set { _Secondi = value; OnPropertyChanged(nameof(Secondi)); }
        }

        public AuditDatiRollPitch() : base()
        {

        }
    }
}