﻿using AuditManager.Shared.Attributes;
using SQLite;
using System;
using System.Net;

namespace AuditManager.Models.Tables
{
    [Table("AuditGrigliaAllegati"), TableReplication(Replicate = true)]
    public class AuditGrigliaAllegati : AuditBaseTable
    {
        [NotNull]
        public Guid IdTabella { get; set; }
        [NotNull]
        public int IdRisposta { get; set; }
        public Guid? IdRispostaDettaglio { get; set; }
        public Guid? IdTabellaIntestazione { get; set; }

        private string _Colonna1;
        public string Colonna1
        {
            get { return _Colonna1; }
            set { _Colonna1 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna2;
        public string Colonna2
        {
            get { return _Colonna2; }
            set { _Colonna2 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna3;
        public string Colonna3
        {
            get { return _Colonna3; }
            set { _Colonna3 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna4;
        public string Colonna4
        {
            get { return _Colonna4; }
            set { _Colonna4 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna5;
        public string Colonna5
        {
            get { return _Colonna5; }
            set { _Colonna5 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna6;
        public string Colonna6
        {
            get { return _Colonna6; }
            set { _Colonna6 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna7;
        public string Colonna7
        {
            get { return _Colonna7; }
            set { _Colonna7 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna8;
        public string Colonna8
        {
            get { return _Colonna8; }
            set { _Colonna8 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna9;
        public string Colonna9
        {
            get { return _Colonna9; }
            set { _Colonna9 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna10;
        public string Colonna10
        {
            get { return _Colonna10; }
            set { _Colonna10 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna11;
        public string Colonna11
        {
            get { return _Colonna11; }
            set { _Colonna11 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna12;
        public string Colonna12
        {
            get { return _Colonna12; }
            set { _Colonna12 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna13;
        public string Colonna13
        {
            get { return _Colonna13; }
            set { _Colonna13 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna14;
        public string Colonna14
        {
            get { return _Colonna14; }
            set { _Colonna14 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna15;
        public string Colonna15
        {
            get { return _Colonna15; }
            set { _Colonna15 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna16;
        public string Colonna16
        {
            get { return _Colonna16; }
            set { _Colonna16 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna17;
        public string Colonna17
        {
            get { return _Colonna17; }
            set { _Colonna17 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna18;
        public string Colonna18
        {
            get { return _Colonna18; }
            set { _Colonna18 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna19;
        public string Colonna19
        {
            get { return _Colonna19; }
            set { _Colonna19 = WebUtility.HtmlDecode(value); }
        }

        private string _Colonna20;
        public string Colonna20
        {
            get { return _Colonna20; }
            set { _Colonna20 = WebUtility.HtmlDecode(value); }
        }

        [NotNull]
        public int IdStatoNcCreazione { get; set; }

        public AuditGrigliaAllegati() : base()
        {
            IdTabella = Guid.NewGuid();
        }
    }
}
