﻿using Newtonsoft.Json;

namespace AuditManager.Shared.Extensions
{
    public static class AuditBaseTableExtensions
    {
        public static T CloneJson<T>(this T source)
        {
            if (ReferenceEquals(source, null))
                return default(T);

            JsonSerializerSettings deserializeSettings = new JsonSerializerSettings { ObjectCreationHandling = ObjectCreationHandling.Replace };
            return JsonConvert.DeserializeObject<T>(JsonConvert.SerializeObject(source), deserializeSettings);
        }
    }
}
